SRU: Launching a Qt app crashes X when using Xinerama

Bug #650539 reported by Alejandro Cuervo on 2010-09-28
622
This bug affects 117 people
Affects Status Importance Assigned to Milestone
X.Org X server
Fix Released
High
nvidia-graphics-drivers (Ubuntu)
Undecided
Unassigned
Maverick
Undecided
Unassigned
qt4-x11 (Ubuntu)
Undecided
Unassigned
Maverick
Undecided
Unassigned
xorg-server (Ubuntu)
High
Chris Halse Rogers
Maverick
High
Alberto Milone

Bug Description

Justification:
=============
Regression from Ubuntu 10.04, causing an Xserver crash when starting a Qt application in an multi-head X configuration using Xinerama. The X crash risks losing user data from unsaved documents in applications.

Fix:
===
This is caused by a typo in commit 80b5d3a3. A fix has been pulled to the server-1.9 stable branch in commit 3effb61e (http://cgit.freedesktop.org/xorg/xserver/commit/?id=78f94f19aab66a1e5331df0ce29f36e310b4195d ). This commit has been cherry-picked onto the Natty xserver tree.

Test case:
========
Start a Qt app such as Skype while using Xinerama multi-head. Users of the binary nVidia driver who have multiple monitors and select “Separate X screen” rather than “Twinview” in nvidia-settings will be using a Xinerama multi-head configuration.

Regression Potential:
==================
Low. Patch is a one-line typo fix, and anything which exercises this codepath currently crashes.

Original report:

PROBLEM
=======
Starting a Qt app such as Skype crashes X, leaving
"Caught signal 11 (Segmentation fault). Server aborting"
in Xorg.0.log.old and the dazzled user with the login screen.
This is a bug in X, fixed upstream in http://cgit.freedesktop.org/xorg/xserver/commit/?id=78f94f19aab66a1e5331df0ce29f36e310b4195d .

WORKAROUND
==========
Until the fix is released as an official Ubuntu update, Jared Bunting has it in his PPA at https://launchpad.net/~jared-bunting/+archive/xorg-xserver-650539 (thx!).
You need xserver-xorg-core and xserver-common, so for 32 bit
1) Download
https://launchpad.net/~jared-bunting/+archive/xorg-xserver-650539/+files/xserver-xorg-core_1.9.0-0ubuntu7%2Bbug650539%2B1_i386.deb and
https://launchpad.net/~jared-bunting/+archive/xorg-xserver-650539/+files/xserver-common_1.9.0-0ubuntu7%2Bbug650539%2B1_all.deb
2) Install
sudo dpkg -i xserver-xorg-core_1.9.0-0ubuntu7+bug650539+1_i386.deb xserver-common_1.9.0-0ubuntu7+bug650539+1_all.deb

ORIGINAL DESCRIPTION
====================
I think this may be related to QT apps, as keepassx, skype also crash X when started
This is on maverick will all current updates.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: speedcrunch 0.10.1-2
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Tue Sep 28 12:29:04 2010
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: speedcrunch
---
Architecture: amd64
DistroRelease: Ubuntu 10.10
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
NonfreeKernelModules: nvidia
Package: xorg 1:7.5+6ubuntu3
PackageArchitecture: amd64
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Tags: maverick
Uname: Linux 2.6.35-22-generic x86_64
UnreportableReason: The drivers from nvidia.com are not supported by Ubuntu. Please uninstall them and test whether your problem still occurs.
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare video
system:
 distro: Ubuntu
 codename: maverick
 architecture: x86_64
 kernel: 2.6.35-22-generic

Alejandro Cuervo (a-cuervo) wrote :
Alejandro Cuervo (a-cuervo) wrote :

Backtrace:
[ 3664.878] 0: /usr/bin/X (xorg_backtrace+0x28) [0x4a0fa8]
[ 3664.878] 1: /usr/bin/X (0x400000+0x60fcd) [0x460fcd]
[ 3664.878] 2: /lib/libpthread.so.0 (0x7fe2b211e000+0xfb40) [0x7fe2b212db40]
[ 3664.878] 3: /usr/bin/X (0x400000+0xbb22f) [0x4bb22f]
[ 3664.878] 4: /usr/bin/X (0x400000+0x2c2d9) [0x42c2d9]
[ 3664.878] 5: /usr/bin/X (0x400000+0x2184b) [0x42184b]
[ 3664.878] 6: /lib/libc.so.6 (__libc_start_main+0xfe) [0x7fe2b1089d8e]
[ 3664.878] 7: /usr/bin/X (0x400000+0x213d9) [0x4213d9]
[ 3664.879] Segmentation fault at address 0x4
[ 3664.879]
Caught signal 11 (Segmentation fault). Server aborting
[ 3664.879]
Please consult the The X.Org Foundation support
  at http://wiki.x.org
 for help.
[ 3664.879] Please also check the log file at "/var/log/Xorg.0.log" for additional information.

apport information

tags: added: apport-collected
description: updated

apport information

Hello
Is this issue present again with the latest updatets?
Thanks
Fabio

Changed in ubuntu:
status: New → Incomplete
Alejandro Cuervo (a-cuervo) wrote :

I just installed a bunch of the latest updates, including a whole bunch of QT related, rebooted, and it is still happening.
Apps are crashing either on launch or as soon as you hover over them. :(
I found people on the net having the same issue with no answers or workarounds. At least now I know I'm not the only one with this issue.
Any ideas?

summary: - Launching QT apps such as SpeedCrunch, keepassX, skype chrashes Xsever
+ Launching QT apps such as SpeedCrunch, keepassX, Lucky Backup, Pencil,
+ Stellarium, skype chrashes Xsever

Not reproducible by me in a fully updated (backports + proposed enabled) maverick

Fabio Marconi (fabiomarconi) wrote :
Alejandro Cuervo (a-cuervo) wrote :

I did not have backports or proposed enabled.
However for the sake of testing, I just enabled them one a time, neither of them had package updates.
I also went a version back on the proprietary nvidia drivers (thinking they may be an issuse) but nothing changed.
Those apps still crash.
I have a pretty standard setup, so don't know what the culprit may be.
I do know however, that I am not the only one affected by this issue. I'm trying for the other affected people to voice their problem here

Chris Fell (brucemcbruce) wrote :

This bug affected me as well on a fresh maverick install with the nVidia drivers installed.
I tried re-installing ubuntu, and I've managed to track down exactly what causes QT apps to crash - it appears to be to do with my multi-monitor setup. I have tried all X configurations (single, twinview and 'separate X screens', with and without xinerama) and it only occurs on separate X screens with xinerama enabled.

Alejandro, are you using a multi-monitor setup?

Chris Fell (brucemcbruce) wrote :

My xorg.conf, initially generated by nvidia-xconfig and further tweaked by the nvidia xserver settings utility.

Alejandro Cuervo (a-cuervo) wrote :

Chris, I am indeed running a 3 monitor setup, with the nvidia proprietary drives and Xinerama enabled.
I was beginning to suspect Xinerama, but had doubts since it was working ok on 10.04.

First a little bit of history:
My multi-monitor setup has always given me trouble since I added the 3rd monitor. Two were always perfect with twinview.
When I added the 3rd, I had to switch to Xinerama because It was the only configuration I could make work. When I upgraded to 10.04 everything continued to work well, except for the occasional X crash, due to this bug https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/570151.
Hoping to completely fix that bug I upgraded to 10.10RC because it had a newer version of Xserver. That bug seems to be fixed (I think), but now this QT bug appears. It seems that I will never get back a perfect running 3 monitor setup. :(
Multi-monitor configurations (3+) under Linux are very complex, hope someone can tackle this soon.

Any how, back to this bug, for the sake of testing I disabled Xinerama and indeed the problem went away.
Having Xinerama disabled is not a solution since it renders the whole multi-monitor setup pretty much useless. Not being able to drag windows from one monitor to another is simply not acceptable.
Not sure what changed from 10.04 to 10.10 that started this, so now I am not sure if this bug is a QT bug, a Xinerama Bug, an Xserver bug, or an Nvidia-Propietary drivers BUG.
Anyone can shed a light on this?

I am also attaching my xorg.conf file for documentation purposes and hopefully for someone to review it.

Alejandro Cuervo (a-cuervo) wrote :

Forgot to ask, Does anybody know if it is possible to run nVidia's twinview on a 3 monitor setup? Or is it just limited to 2 monitors?

affects: ubuntu → qt4-x11 (Ubuntu)
Changed in qt4-x11 (Ubuntu):
status: Incomplete → Invalid
affects: xorg (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
Alejandro Cuervo (a-cuervo) wrote :

Jonathan, I don't think this is an issue with the Nvidia Drivers. Their current, their beta and their five prior versions of the Nvidia Drivers work well and without this issue on 10.04, 9.10 and 9.04

Also, according to the changelog of the Xinerama packages nothing changed between 10.04 and 10.10. (Xinerama is deprecated so not much work is going on there.)

So it must be an issue with QT since alot changed in the QT packages from 10.04 to 10.10.
Some change in the QT pakages broke its interaction with xinerama.

Harald Sitter (apachelogger) wrote :

X should not crash..

I can confirm that this also happens on a upgraded Ubuntu Maverick installation with a quad head setup, our computers running twinview works just fine.

Jérôme (kibohely) wrote :

I confirm it too (last nvidia drivers, 64bit, maverick up to date)

Confirmed.

Latest Xorg / Nvidia drivers / qt

Steps:

1. Launch a qt app (I used kcalc)
2. Move your mouse cursor over the app
3. Insta crash (Xorg Segfault)

- If you disable Xinerama, everything is fine
- If you use the nouveau (nv) open source drivers instead of the Nvidia binary blob (nvidia), the problem STILL happens

Same issue, other places:
https://bbs.archlinux.org/viewtopic.php?pid=836875#p836875
http://bugs.gentoo.org/show_bug.cgi?id=339135

Jérôme (kibohely) wrote :

Hi,

as i only have one monitor (the laptop's one), I don't think that xinerama is the core of this issue.

I try to desactivate xinerama in my xorg.conf :

Section "ServerFlags"
        Option "Xinerama" "0"
EndSection

and force TwinView in Section "Device" :

    Option "TwinView" "1"

but, it's still crash ...

Jérôme (kibohely) wrote :

same thing with ** Option Xinerama "0" ** in the Layout section ..

Roland Ruiken (rolandruiken) wrote :

Hi

i have the same problem:
Ubuntu 10.10 64 bit with the latest updates
Nvidia - propireter driver, 2 monitor

upstart of Skype crashes X-driver: i get logout
the same with KeepassX

Roland Ruiken (rolandruiken) wrote :

Hi

now I have disabled Xinerama, and KeepassX works well, no crash, no Logout.

But it would be fine to get Xinerama again.....

  • xorg.conf Edit (1.6 KiB, application/octet-stream; name="xorg.conf")

hi,

as I have only one monitor, and it's doesn't work, it's seems that I didn't
do the right thing to disable Xinerama ?!?! What are yout suggestion to do
it right? (my Xorg.conf is in attachment)

Thanks

On Fri, Oct 8, 2010 at 10:57 AM, Roland Ruiken <email address hidden>wrote:

> Hi
>
> now I have disabled Xinerama, and KeepassX works well, no crash, no
> Logout.
>
> But it would be fine to get Xinerama again.....
>
> --
> Launching QT apps such as SpeedCrunch, keepassX, Lucky Backup, Pencil,
> Stellarium, skype chrashes Xsever
> https://bugs.launchpad.net/bugs/650539
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: New
> Status in “qt4-x11” package in Ubuntu: Invalid
>
> Bug description:
> I think this may be related to QT apps, as keepassx, skype also crash X
> when started
> This is on maverick will all current updates.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: speedcrunch 0.10.1-2
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Tue Sep 28 12:29:04 2010
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: speedcrunch
> ---
> Architecture: amd64
> DistroRelease: Ubuntu 10.10
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> NonfreeKernelModules: nvidia
> Package: xorg 1:7.5+6ubuntu3
> PackageArchitecture: amd64
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Tags: maverick
> Uname: Linux 2.6.35-22-generic x86_64
> UnreportableReason: The drivers from nvidia.com are not supported by
> Ubuntu. Please uninstall them and test whether your problem still occurs.
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare video
> system:
> distro: Ubuntu
> codename: maverick
> architecture: x86_64
> kernel: 2.6.35-22-generic
>
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/650539/+subscribe
>

Ashley (lifenstein) on 2010-10-11
summary: Launching QT apps such as SpeedCrunch, keepassX, Lucky Backup, Pencil,
- Stellarium, skype chrashes Xsever
+ Stellarium, skype, VLC crashes Xserver

Multi-monitor (one ext monitor connected to laptop) , Separate X Screens, Xinerama Enabled.

X restarts when moving the mouse over the window.

kion (kion-inbox) wrote :

Updated from 10.04 to 10.10.

Multi-monitor (namely, two monitors), Separate X Screens, Xinerama Enabled. X restarts when moving the mouse over the window. No matter what desktop environment is used - crashes in any case (i have tried KDE/GNOME/Xfce/WindowMaker).

X does not crash, though, if I login using "Safe Mode".

Same for me with 10.10, nvidia driver (latest) with Xinerama. Applications like keepassx, vlc and skype crash X.

MikeB (mikeb-timetrex) wrote :

10.10 with Nvidia, KDE and three montior setup using Xinerama crashes for me as well. If I disable Xinerama I can get two monitors working with Twinview instead, but three monitors always crashes for me.

Alejandro Cuervo (a-cuervo) wrote :

Workarrounds for the meantime:

Dual monitors: Use twinview. There is no need to have xinerama enabled if you just have two monitors using twinview.
Besides with twinview you get hardware accelerated graphics.

Three monitors: Have two of them with twinview and one separate screen. All of them with xinerama disabled.

Thanks for the tips, that is basically what I'm doing right now, but
with KDE4.5 I can't figure out how to actually start apps on the 3rd
monitor (the one not using twinview). Nothing displays on that monitor
except the mouse cursor. (no taskbar, right click menu or anything)

I'm almost thinking KDE doesn't support this.

Thanks.

On Mon, 11 Oct 2010 17:25:44 -0000
Alejandro Cuervo <email address hidden> wrote:

>
> Workarrounds for the meantime:
>
> Dual monitors: Use twinview. There is no need to have xinerama enabled if you just have two monitors using twinview.
> Besides with twinview you get hardware accelerated graphics.
>
> Three monitors: Have two of them with twinview and one separate screen.
> All of them with xinerama disabled.
>

--
Mike Benoit
TimeTrex
Tel: 1 (800) 714-5153 Ext: 790
http://www.TimeTrex.com

Just set the DISPLAY variable to your third display's X screen.

Example, if your third display is screen :0.1:

DISPLAY=:0.1 xterm

This works (xterm loads on the 3rd monitor), however KDE doesn't appear
to be running on the 3rd monitor, so there is essentially no window
manager, making it pretty useless. :(

From what I can obtain from Google, KDE4+ doesn't support separate X
displays like this. I attempted to use the script at the bottom of this
forum post:

http://forum.kde.org/viewtopic.php?f=66&t=12180&start=30

However it pops up a message saying KDE is already running on this (the
3rd) display, but I see no task bar or window decorations/title bars
whatsoever.

On Mon, 11 Oct 2010 18:04:27 -0000
Daniel Dadap <email address hidden> wrote:

> Just set the DISPLAY variable to your third display's X screen.
>
> Example, if your third display is screen :0.1:
>
> DISPLAY=:0.1 xterm
>

--
Mike Benoit
TimeTrex
Tel: 1 (800) 714-5153 Ext: 790
http://www.TimeTrex.com

Maybe I am doing something wrong but ... in my nvidia-settings the TwinView option is grayed out. And always has been with all nvidia drivers I used. I have even tried to enable it manually on the xorg.conf file but again to no avail.

In my case I have 2 PCI-E video cards and each monitor is hooked to a different card (rather than one card with dual connectors) - does that have anything to do with TwinView being unavailable ? Is such a setup not supported by TwinView ?

On Mon, 11 Oct 2010 17:25:44 -0000
Alejandro Cuervo <email address hidden> wrote:

>
> Workarrounds for the meantime:
>
> Dual monitors: Use twinview. There is no need to have xinerama enabled if you just have two monitors using twinview.

Daniel Dadap (ddadap) wrote :

TwinView is only supported when two displays are used on one GPU.

Obi1Kenobi (hatespam00-bugrep) wrote :

Thanks for clarifying that part Daniel.

Then Alejandro, unfortunately the workaround will not work for me and TwinView is not a always **the** option for dual head. I must use Xinerama.

It worked fine, no problem, albeit a little slow at (many) times with Kubuntu 10.04 though ... I need this dual head functionality so badly that I am a breadth away from putting back 10.04.

nomad42184 (rob-patro) wrote :

I can also verify this issue. My triple monitor setup using Xinerama was working perfectly using the most recent Nvidia drivers under 10.04. Upon the upgrade to 10.10, I started receiving the segfault when starting X. Disabling Xinerama allows me to run X, but is not a long term solution. Likewise, using TwinView is not an option for me as the two 20.1" monitors connected to one video card are separated by a 30" monitor connected to the other (which requires full use of the other video card for dual-link DVI). The only real solution for creating a single, uninterrupted, physical desktop is Xinerama. Any idea if this issue is currently being explored upstream?

Laurent (syrius-no-log) wrote :

Hi there.

I've got a 4 screens (2 quadro nvs 285) setup (2 twinview + xinerama)
I'm able to reproduce this by running emacs22-gtk (or emacs23-gtk). AFAIK emacs23-gtk is not linked to qt ! :-)

My workaround is to use lucid packages for xserver-xorg-core, xserver-xorg, xserver-xorg-input-evdev and nvidia.
It's kind of working with this workaround.
kinda because my X server freezes every weeks or so. The cursor gets stuck between the 2 twinview screens with X using 100% of a cpu. (have to kill -9 to restart...)

alfille (paul-alfille) wrote :

Nomad42184 asked if the Xinerama problem is being "explored upstream"?

Bug 6450599 https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/650599

I reported be experience with nVidia. They confirm the bug, but says it's an Ubuntu-only problem and closed the bug report.

They claim that Arch-linux doesn't have the same issue.

My advice is to pester nVidia.
http://nvidia.custhelp.com/cgi-bin/nvidia.cfg/php/enduser/std_adp.php?p_faqid=44

I don't think they realise what a big deal this issue is.

Since it happens even with nouveau drivers and old nvidia drivers and only in Xinerama that's probably a problem of xinerama mode itself with some nvidia card instruction, not of nvidia binary drivers.
Using twinview is only a temprorary solution since some have dualhead on different GPUs or Trial Heads.

The cursor getting stuck between the two screens (using Xinerama for
me) and using 100% CPU was one of the main reasons I attempted to
upgrade to Ubuntu 10.10. Unfortunately that didn't work so well. :(

On Tue, 12 Oct 2010 11:35:28 -0000
Laurent <email address hidden> wrote:

> My workaround is to use lucid packages for xserver-xorg-core, xserver-xorg, xserver-xorg-input-evdev and nvidia.
> It's kind of working with this workaround.
> kinda because my X server freezes every weeks or so. The cursor gets stuck between the 2 twinview screens with X using 100% of a cpu. (have to kill -9 to restart...)
>

--
Mike Benoit
TimeTrex
Tel: 1 (800) 714-5153 Ext: 790
http://www.TimeTrex.com

Same problem here, experienced today

DISPLAY=:0.1 xterm ... was working, but I tried with firefox (instead of xterm), since its my usage for 2nd screen (FF visible in all desktops): crashed X

I then decided to not use screen1 anymore. Then in the morning, while I was scrolling in FF helding the vertical bar, the mouse pointer got stuck between the two screens (exactly as MikeB), X was 100% CPU. Had to kill it remotely.

At lunch break, I "xlock"-ed my screen as allways, when back, the load was 40+, with tons of "kscreenlock" spawned, one each minute since lock screens mode are just changing each minute. Had to kill everything again remotely.

Finaly, I ripped of any Screen1 or Device1 or Monitor1 in my xorg.conf, then the 2nd monitor is completely inactive and unconsidered.

Since then, everything works fine, except my second monitor is off :/

Hope this helps.

I have some log files of everything here, I can send it,if it is of any use.

Thanks,

Confirmed here aswell:

3 Monitors, latest nVidia proprietary driver, xinerama, 64-bit Ubuntu 10.10 (All updates)

I tried skype and konsole both make X crash and puts you back at the GDM login screen

kion (kion-inbox) wrote :

After spending some time working with my two monitors in TwinView mode, i realized that it's not a solution - it's definitely not a replacement for Xinerama, so... I decided to get that Xinerama mode that worked for me (in 10.04) before i had updated to 10.10 back :)

As Laurent mentioned above, a possible workaround to fix that issue is to rollback to old versions of some packages...

Actually, the only packages i reverted were: xorg, xserver-xorg, xserver-xorg-core, xserver-xorg-input-evdev, xserver-xorg-input-mouse, xserver-xorg-input-vmmouse, xserver-xorg-video-nv (i have installed versions from 10.04 via dpkg). Once reverted, those seem to work fine in Xinerama mode and latest nVidia drivers included in 10.10 (that is, 260.10.06).

To get those packages, do the following:

Open terminal and execute the following command (will download those packages into tmp dir and install them, you'll have to input root-pass to confirm installation):

mkdir /tmp/xpackages && cd /tmp/xpackages && wget http://launchpadlibrarian.net/43485102/xorg_7.5%2B5ubuntu1_i386.deb http://launchpadlibrarian.net/43485099/xserver-xorg_7.5%2B5ubuntu1_i386.deb http://launchpadlibrarian.net/52260944/xserver-xorg-core_1.7.6-2ubuntu7.3_i386.deb http://launchpadlibrarian.net/42588308/xserver-xorg-input-evdev_2.3.2-5ubuntu1_i386.deb http://launchpadlibrarian.net/36552692/xserver-xorg-input-mouse_1.5.0-1_i386.deb http://launchpadlibrarian.net/45024060/xserver-xorg-input-vmmouse_12.6.5-4ubuntu2_i386.deb http://launchpadlibrarian.net/37545335/xserver-xorg-video-nv_2.1.15-1ubuntu3_i386.deb && sudo dpkg -i *.deb

There's a drawback though: after installing those mentioned above packages via dpkg lot of "broken" packages (a bit more than 30 in my case) appears - namely, all xserver-xorg-input-* and all xserver-xorg-video-*...

Here's how you fix that: open Synaptic and use "Edit -> Fix Broken Packages" feature, then apply changes - it will notify you it wants to remove lot of packages - mostly those broken ones and probably few more, but seems to not touch anything important (in my case it listed "xbmc-standalone" only) - anyway, you may want to log those packages to re-install them later.

Now, as you have removed broken packages, you must reinstall downloaded xserver/xorg (from 10.04) again as they were removed too. Just run the following command in console:

cd /tmp/xpackages && sudo dpkg -i *.deb

Now you may open Synaptic again and re-install those removed packages (like xbmc, etc.) that you logged earlier.

After that you should have working and clean system! ;)

The last thing is: protect those old packages from auto-updating (otherwise you'll get this X-crash-issue back).

In Synaptic, select each of those packages you have reverted and choose "Package -> Lock Version" for each of them.

Now you can update whenever you wish (when update-manager notifies you about fresh updates) and all packages except those with locked versions will be updated as usually.

That's it. Sorry if it looks messy, but it worked for me, so i decided to share my solution.

Hope this helps someone! ;)

kion (kion-inbox) wrote :

Ah, forgot to mention: after all those manipulations with packages listed in my previous post, you have to reboot your workstation (just loggin out and restarting x-server did not work for me, but after restart everything works just fine) ;)

Alejandro Cuervo (a-cuervo) wrote :

@Jonathan Thomas

There is definitely something going on with Xorg. So I am marking Xorg again as an affected package.

There is a thread in ArchLinux that seems to indicate that this is a bug in Xorg 1.9 (but it's still unconfirmed)

https://bbs.archlinux.org/viewtopic.php?pid=838311#p838311
http://pastebin.org/87390

Obi1Kenobi (hatespam00-bugrep) wrote :

I confess I'm new to this process (so no familiar with patching roadmap) ... but was wondering ... why is this bug still in "New" status ? Is there still a doubt it is a bug ? If VLC crashing was deemed to be of medium importance, surely X crashing should be thought as being ... high ?

Eddy (eddy-blum) wrote :

Same problem for me, I'm using maverick 10.10 with nvidia latest beta drivers and xinerama. Every QT Apps crashes, driving me nuts. Goes away when I unplug the second monitor and restart X Server. Tried downgrading to the "stable" nvidia packages but no difference. Switching off xinerama / unplugging the monitor resolves the issues.

I must add that my second monitor is also rotated 90 degrees. Will try Kions fix in the mean time.

I am the only one with a single monitor that have this issue? I can't find
why Xinerama maybe active, if no seond monitor is plug. Maybe that come from
the fact that my laptop is a dual video card system (sony vaio z12 : intel +
nvidia) ?

On Thu, Oct 14, 2010 at 4:35 PM, Eddy <email address hidden> wrote:

> Same problem for me, I'm using maverick 10.10 with nvidia latest beta
> drivers and xinerama. Every QT Apps crashes, driving me nuts. Goes away
> when I unplug the second monitor and restart X Server. Tried downgrading
> to the "stable" nvidia packages but no difference. Switching off
> xinerama / unplugging the monitor resolves the issues.
>
> I must add that my second monitor is also rotated 90 degrees. Will try
> Kions fix in the mean time.
>
> --
> Launching QT apps such as SpeedCrunch, keepassX, Lucky Backup, Pencil,
> Stellarium, skype, VLC crashes Xserver
> https://bugs.launchpad.net/bugs/650539
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: New
> Status in “qt4-x11” package in Ubuntu: Invalid
> Status in “xorg” package in Ubuntu: New
>
> Bug description:
> I think this may be related to QT apps, as keepassx, skype also crash X
> when started
> This is on maverick will all current updates.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: speedcrunch 0.10.1-2
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Tue Sep 28 12:29:04 2010
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: speedcrunch
> ---
> Architecture: amd64
> DistroRelease: Ubuntu 10.10
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> NonfreeKernelModules: nvidia
> Package: xorg 1:7.5+6ubuntu3
> PackageArchitecture: amd64
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Tags: maverick
> Uname: Linux 2.6.35-22-generic x86_64
> UnreportableReason: The drivers from nvidia.com are not supported by
> Ubuntu. Please uninstall them and test whether your problem still occurs.
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare video
> system:
> distro: Ubuntu
> codename: maverick
> architecture: x86_64
> kernel: 2.6.35-22-generic
>
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/650539/+subscribe
>

Jérôme, Xinerama is switched on with Xorg.conf. Have you tried deleting it and creating a fresh one, just in case something is switching it on?

summary: Launching QT apps such as SpeedCrunch, keepassX, Lucky Backup, Pencil,
- Stellarium, skype, VLC crashes Xserver
+ Stellarium, skype, Google Earth, VLC crashes Xserver

I have only one screen (the laptop screen), although there is a second VGA plug to plug in a second monitor.
Graphics Card: NVidia Geforce GT 220M
Display: HannStar Display Corp HSD160PHW1
xorg: 2:1.9.0-0ubuntu7
xserver-xorg-video-vesa: 1:2.3.0-3build1
nvidia drivers: 260.19.06-0ubuntu1
Skype: 2.1.0.81-1ubuntu5

I had some troubles with my display drivers anyway, but I can confirm this bug both for the VESA and NVidia X-Servers without having any specification regarding Xinerama or Twinview in xorg.conf.

hi pagin,

I have a card in the same family that you (GeForce GT 330M), and also 2
extarnal plug (One Vga, and one HDMI).
same version of software ..

I try some news things to set all twinview / Xinerama Off in my Xorg (and
also a almost blank xorg conf file), but nothing make a difference..

On Thu, Oct 14, 2010 at 7:54 PM, pagin <email address hidden> wrote:

> I have only one screen (the laptop screen), although there is a second VGA
> plug to plug in a second monitor.
> Graphics Card: NVidia Geforce GT 220M
> Display: HannStar Display Corp HSD160PHW1
> xorg: 2:1.9.0-0ubuntu7
> xserver-xorg-video-vesa: 1:2.3.0-3build1
> nvidia drivers: 260.19.06-0ubuntu1
> Skype: 2.1.0.81-1ubuntu5
>
> I had some troubles with my display drivers anyway, but I can confirm
> this bug both for the VESA and NVidia X-Servers without having any
> specification regarding Xinerama or Twinview in xorg.conf.
>
> --
> Launching QT apps such as SpeedCrunch, keepassX, Lucky Backup, Pencil,
> Stellarium, skype, Google Earth, VLC crashes Xserver
> https://bugs.launchpad.net/bugs/650539
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: New
> Status in “qt4-x11” package in Ubuntu: Invalid
> Status in “xorg” package in Ubuntu: New
>
> Bug description:
> I think this may be related to QT apps, as keepassx, skype also crash X
> when started
> This is on maverick will all current updates.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: speedcrunch 0.10.1-2
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Tue Sep 28 12:29:04 2010
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: speedcrunch
> ---
> Architecture: amd64
> DistroRelease: Ubuntu 10.10
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> NonfreeKernelModules: nvidia
> Package: xorg 1:7.5+6ubuntu3
> PackageArchitecture: amd64
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Tags: maverick
> Uname: Linux 2.6.35-22-generic x86_64
> UnreportableReason: The drivers from nvidia.com are not supported by
> Ubuntu. Please uninstall them and test whether your problem still occurs.
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare video
> system:
> distro: Ubuntu
> codename: maverick
> architecture: x86_64
> kernel: 2.6.35-22-generic
>
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/650539/+subscribe
>

As my reporting bug 659919 is marked as a duplicate of this I will chime in,

3 monitors, 2 on ATI dual head and 1 on Intel onboard.

My coworked, same segfault is using nvidia with xinerama no twin view.

This is not NVIDIA specific.

+ kwrite +cervisia +tcl/Tk apps like tkgate tkcvs,...

On Thu, Oct 14, 2010 at 11:39 AM, Eddy <email address hidden> wrote:
> Jérôme, Xinerama is switched on with Xorg.conf. Have you tried deleting
> it and creating a fresh one, just in case something is switching it on?
>
> ** Summary changed:
>
> - Launching QT apps such as SpeedCrunch, keepassX, Lucky Backup, Pencil, Stellarium, skype, VLC crashes Xserver
> + Launching QT apps such as SpeedCrunch, keepassX, Lucky Backup, Pencil, Stellarium, skype, Google Earth, VLC crashes Xserver
>
> --
> Launching QT apps such as SpeedCrunch, keepassX, Lucky Backup, Pencil, Stellarium, skype, Google Earth, VLC crashes Xserver
> https://bugs.launchpad.net/bugs/650539
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (650599).
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: New
> Status in “qt4-x11” package in Ubuntu: Invalid
> Status in “xorg” package in Ubuntu: New
>
> Bug description:
> I think this may be related to QT apps, as keepassx, skype also crash X when started
> This is on maverick will all current updates.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: speedcrunch 0.10.1-2
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Tue Sep 28 12:29:04 2010
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> ProcEnviron:
>  LANG=en_US.UTF-8
>  SHELL=/bin/bash
> SourcePackage: speedcrunch
> ---
> Architecture: amd64
> DistroRelease: Ubuntu 10.10
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> NonfreeKernelModules: nvidia
> Package: xorg 1:7.5+6ubuntu3
> PackageArchitecture: amd64
> ProcEnviron:
>  LANG=en_US.UTF-8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Tags: maverick
> Uname: Linux 2.6.35-22-generic x86_64
> UnreportableReason: The drivers from nvidia.com are not supported by Ubuntu.  Please uninstall them and test whether your problem still occurs.
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare video
> system:
>  distro:             Ubuntu
>  codename:           maverick
>  architecture:       x86_64
>  kernel:             2.6.35-22-generic
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/650539/+subscribe
>

summary: Launching QT apps such as SpeedCrunch, keepassX, Lucky Backup, Pencil,
- Stellarium, skype, Google Earth, VLC crashes Xserver
+ Stellarium, skype, Google Earth, VLC, Konqueror, Skype crashes Xserver

I've just marked #657966 as a duplicate. This was the same behaviour originally linked to Radeon with Xinerama. This bug has identified the following apps with problems, to add to your current list :-

VirtualBox OSE
VirtualBox PUEL
Skype
Opera
KeePassX
VLC
qtpfsgui
picard

I see reports of this bug in Ubuntu, Arch (https://bbs.archlinux.org/viewtopic.php?pid=838311) & Gentoo (http://bugs.gentoo.org/show_bug.cgi?id=339135 -- although currently they have ignored it as the initial report used a binary-only driver)

summary: - Launching QT apps such as SpeedCrunch, keepassX, Lucky Backup, Pencil,
- Stellarium, skype, Google Earth, VLC, Konqueror, Skype crashes Xserver
+ Launching QT apps under Xinerama crashes Xorg : affects SpeedCrunch,
+ KeePassX, Lucky Backup, Pencil, Stellarium, Skype, Google Earth, VLC,
+ Konqueror, VirtualBox, Opera ...
Jackovson (romain-stevant) wrote :

Same problem here.
2 screens, nvidia and xinerama activated.

Screenie or other Qt app => logged out.

I report the same problem (Jean-Paul Argudo and MikeB) about weird bug about cursor sometimes starting shaking between the two screen (near the "between" zone), and then 100%CPU with hard reboot needed.
I had this problem 3 times before upgrading from 10.04 to 10.10.

chag (chagam) wrote :

Hi, Same problem here. Was working well with 10.04 (all upgrades) but crashes with 10.10 (all upgrades). If I disable xinerama, no more crash.

Nikos Giannakas (ngiannakas) wrote :

I confirm the same problem on 10.10
two screens, xinerama and launching qt causes xorg to logout
disabled xinerama and everything smooth again

Ralf Oltmanns (ubuntu-abo) wrote :

Just want to confirm the same situation as described by Nikos Giannakas (Maverick Meerkat x64, nVidia, two screens). Disabling xinerama solves the problem, although this is a notable loss of comfort

Nikos Giannakas (ngiannakas) wrote :

actually I am on 32bits

Duncan (duncan2) wrote :

Hi all,

I just want to report the same pb for me. AMD 64 arch, nvidia driver (current) and fresh install of ubuntu 10.10.

I confirmed also that disabling Xinerama is a good work-around .

good luck,

Duncan

Christoph Thiery (bluchris) wrote :

I confirm the same problem on Ubuntu 10.10, 64bit, 3 Monitors on 2 Grafikcards with nvidia GPU.
Skype, vlc, k3b crashes x-server; If I disable xinerama, no more crash.

kion (kion-inbox) wrote :

nVidia just released new stable version of drivers - 260.19.12.

Among other changes there're few following related to Xinerama:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* Enhanced VDPAU to fully support Xinerama.
* Fixed a bug in the X driver that prevented operation of Xinerama when using
     multiple NVIDIA GPUs from different major hardware generations
     on X with ABI 4 or greater.
* Fixed a bug in the OpenGL driver's Xinerama support.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

This would probably (hopefully) fix an issue.

PPA with fresh nVidia driver builds is here: https://launchpad.net/~ubuntu-x-swat/+archive/x-updates

Can anyone test? (I'm currently fine with old versions of xorg/xserver - see my solution posted above, so do not want to break anything until i'm sure it will help - but it would be nice if someone who still has this issue can test new version of nVidia drivers and report if it helps to fix an issue)

Download full text (3.1 KiB)

That doesn't work for me, but maybe for others it will, as I'm one of the
few tht have this issue with only one monitor (the laptop one) and even I
use the twinview mode when using 2.

On Sun, Oct 17, 2010 at 2:19 PM, kion <email address hidden> wrote:

> nVidia just released new stable version of drivers - 260.19.12.
>
> Among other changes there're few following related to Xinerama:
>
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> * Enhanced VDPAU to fully support Xinerama.
> * Fixed a bug in the X driver that prevented operation of Xinerama when
> using
> multiple NVIDIA GPUs from different major hardware generations
> on X with ABI 4 or greater.
> * Fixed a bug in the OpenGL driver's Xinerama support.
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>
> This would probably (hopefully) fix an issue.
>
> PPA with fresh nVidia driver builds is here:
> https://launchpad.net/~ubuntu-x-swat/+archive/x-updates
>
> Can anyone test? (I'm currently fine with old versions of xorg/xserver -
> see my solution posted above, so do not want to break anything until i'm
> sure it will help - but it would be nice if someone who still has this
> issue can test new version of nVidia drivers and report if it helps to
> fix an issue)
>
> --
> Launching QT apps under Xinerama crashes Xorg : affects SpeedCrunch,
> KeePassX, Lucky Backup, Pencil, Stellarium, Skype, Google Earth, VLC,
> Konqueror, VirtualBox, Opera ...
> https://bugs.launchpad.net/bugs/650539
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: New
> Status in “qt4-x11” package in Ubuntu: Invalid
> Status in “xorg” package in Ubuntu: New
>
> Bug description:
> I think this may be related to QT apps, as keepassx, skype also crash X
> when started
> This is on maverick will all current updates.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: speedcrunch 0.10.1-2
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Tue Sep 28 12:29:04 2010
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: speedcrunch
> ---
> Architecture: amd64
> DistroRelease: Ubuntu 10.10
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> NonfreeKernelModules: nvidia
> Package: xorg 1:7.5+6ubuntu3
> PackageArchitecture: amd64
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Tags: maverick
> Uname: Linux 2.6.35-22-generic x86_64
> UnreportableReason: The drivers from nvidia.com are not supported by
> Ubuntu. Please uninstall them and test whether your problem still occurs.
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare video
> system:
> distro: Ubuntu
> codename: maverick
> architecture: x86_64
> kernel: 2.6.35-22-generic
>
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/650539/...

Read more...

Laurent (syrius-no-log) wrote :

hiya,

same here, it does still crash. running emacs-gtk is enough to trigger the crash.

Ralf Oltmanns (ubuntu-abo) wrote :

260.19.12-0ubuntu1~xup1 didn't heal the problem here either. Starting stellarium leads to an immediate crash, speedcrunch starts, but crashes X as soon as you run the mousepointer into it.

gryphius (oli-wgwh) wrote :

nvidia 260.19.12 doesn't help here either. same crash ( on Arch Linux. )

Alejandro Cuervo (a-cuervo) wrote :

I dont think this is an issue with the Nvidia drivers.

This is an issuse with either Xorg or QT

Laurent (syrius-no-log) wrote :

QT ? why would it be QT ?
it crashes with emacs-gtk, nothing to do with QT !

Brian J. Cohen (brianjcohen) wrote :

Does anyone know why 'nvidia-graphics-drivers' is on this ticket at all? Numerous folks, including myself and dozens on the duplicate bugs and the bugs in other projects, do not have Nvidia cards but have this problem. I agree with Alejandro, this is almost definitely a problem in Xorg.

alfille (paul-alfille) wrote :

>> Does anyone know why 'nvidia-graphics-drivers' is on this ticket at all?

Sure. It was noticed first by nVidia users. Not too surprising since multi-monitor users are probably disproportionately nVidia users.

Also, the closed source nVidia drivers always seem more culpable (and us for using them).

It's hard to believe that the Xorg developers never ran into this bug. However, I just searched their mailing list http://www.x.org/wiki/SupportMailingList and there is only the note "Does anyone still use Xinerama?"

I'll post our problems there.

Alejandro Cuervo (a-cuervo) wrote :

>> QT ? why would it be QT ?

Well, most of my gtk apps run well without issues at all. Whereas NONE of my installed QT apps work.

Any body else having THIS issue with gtk apps, besides Laurent?

>>Also, the closed source nVidia drivers always seem more culpable (and us for using them).

It also happens with the Nouveau Drivers. So unless it is an issue with both Nouveau and Nvidia Closed, I dont think this is an issue with Nvidia Propirtary drivers.

>> "Does anyone still use Xinerama?"

Yes most of us with >2 monitors. There is no other alternative if you want to be able to drag windows between monitors . And to think it is deprecated... :(

Junaid Baldick (sham-heratech) wrote :

Yes, lots of us *try* to use xinerama despite Ubuntu 10.04 and now 10.10s efforts to stop us. For more than 2 monitors it is the only way to take full advantage of them (drag and drop between monitors and not one huge desktop that screws up maximising windows).

I have downgraded my X packages on my work machine by following kion's instructions (thanks Kion) and no longer have the problem so surely this is a Xorg problem which is particularly bad on QT apps with the nvidia driver?

https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/650539/comments/42

No doubt now I downgraded I will get the 10.04 problem (x crashing with mouse between 2 screens).

I would rather Ubuntu launched later in the month and was tested properly than get the stupid 10/10/10 publicity.

Sorry to rant so much but I am really getting fed up of these buggy releases. The last good release was 9.10- I wish I had stuck with it.

alfille (paul-alfille) wrote :

I added a bug report to the FreeDesktop Bugzilla https://bugs.freedesktop.org/show_bug.cgi?id=30943

I appreciate Ubuntu more, now. The bug reporting system for Xorg is truly unfriendly, with multiple registrations, and a request to self-categorise the bug (Xorg isn't a catagory, the version 1.9.0 isn't a choice, nor does the 7.5 version I guessed appear anywhere in Xorg.0.log!

I get the feeling that there is a strong Intel bias in the Xorg development. All the xrandr examples use it. Intel doesn't make a separate graphics card so they don't need Xinerama.

alfille (paul-alfille) wrote :

The ArchLinux folks solved it!

https://bbs.archlinux.org/viewtopic.php?pid=841628#p841628

They submitted a patch upstream as well.

Obi1Kenobi (hatespam00-bugrep) wrote :

Well, that's fantastic news !!

On the other hand I just cannot help myself to notice that the bug is STILL in New/Undecided/Unassigned status on Ubuntu !!! Disconcerting at best ! At least Arch **did** something about it while (K)Ubuntu, sorry for stating the obvious, couldn't care less. Time to give Arch a spin.

Jim Cheetham (jim.cheetham) wrote :

Calm down Obi1Kenobi, I agree that it is a shame this bug has not been picked up on by the Ubuntu dev team, but all I see on the Arch side is a more technical community identifying the root cause and shipping an accepted patch back to the Xorg developers.

What I don't see is a new build from Xorg being included in Arch or Ubuntu.

There are still a few steps to go before this issue is fixed for *users* -- if you want to go and compile X by hand, including the patch first of course, then you're good to go.

Ubuntu still needs to take this issue and update their Xorg.

Hi every one,

good news indeed!

 If I find some times tomorrow, i will try to patch the ubuntu source
packages and build some .deb.

I will let you known when it will be done

cheers

On Sun, Oct 17, 2010 at 11:35 PM, Jim Cheetham <email address hidden> wrote:

> Calm down Obi1Kenobi, I agree that it is a shame this bug has not been
> picked up on by the Ubuntu dev team, but all I see on the Arch side is a
> more technical community identifying the root cause and shipping an
> accepted patch back to the Xorg developers.
>
> What I don't see is a new build from Xorg being included in Arch or
> Ubuntu.
>
> There are still a few steps to go before this issue is fixed for *users*
> -- if you want to go and compile X by hand, including the patch first of
> course, then you're good to go.
>
> Ubuntu still needs to take this issue and update their Xorg.
>
> --
> Launching QT apps under Xinerama crashes Xorg : affects SpeedCrunch,
> KeePassX, Lucky Backup, Pencil, Stellarium, Skype, Google Earth, VLC,
> Konqueror, VirtualBox, Opera ...
> https://bugs.launchpad.net/bugs/650539
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: New
> Status in “qt4-x11” package in Ubuntu: Invalid
> Status in “xorg” package in Ubuntu: New
>
> Bug description:
> I think this may be related to QT apps, as keepassx, skype also crash X
> when started
> This is on maverick will all current updates.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: speedcrunch 0.10.1-2
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Tue Sep 28 12:29:04 2010
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: speedcrunch
> ---
> Architecture: amd64
> DistroRelease: Ubuntu 10.10
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> NonfreeKernelModules: nvidia
> Package: xorg 1:7.5+6ubuntu3
> PackageArchitecture: amd64
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Tags: maverick
> Uname: Linux 2.6.35-22-generic x86_64
> UnreportableReason: The drivers from nvidia.com are not supported by
> Ubuntu. Please uninstall them and test whether your problem still occurs.
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare video
> system:
> distro: Ubuntu
> codename: maverick
> architecture: x86_64
> kernel: 2.6.35-22-generic
>
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/650539/+subscribe
>

Gary M (garym) on 2010-10-17
Changed in xorg (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Invalid
tags: added: regression-release
Alejandro Cuervo (a-cuervo) wrote :

Many thanks to Ochi, wor and listdata at ArchLinux for solving this.

Hopefully we'll see the updated Xorg in Ubuntu soon.

philip schroth (info-schroth) wrote :

cant wait to run my system normally again...

Mike (stormcoder) wrote :

When running Skype or Emacs, X would crash. I was originally using Xinerama and switched to twinview and the problem was solved for one machine. I have another machine where the monitors are rotated 90 deg. Twin view doesn't handle rotated screens well enough. Gnome panel is in the wrong place and the mouse transition from one screen to the other is at the top and bottom. This makes the users setup non-usable. Are there additional parameters that can be set to fix these two problems with twin view?

Same bug here... this thing really kills you if you're using windowmaker as your window manager. Dies as soon as you right-click on the desktop, which is how you open the applications menu...

Just a note on how to disable Xinerama, it was hard for me and may be it may help others. I was bit by this bug trying to use emacs. I have a Nvidia card and two monitors with Twinview, and saw Twinview as the option being used in the nvidia configuration tool. I also checked my xorg.conf and I couldn't see Xinerama anywhere, but I was still hit by this bug. So I simply saved a new xorg.conf file with nvidia-configuration-tool and now I could see the line enabling Xinerama in my xorg.conf. Commenting out this line and restarting allowed me to apply the workaround finally.

MikeB (mikeb-timetrex) wrote :

I looked into this patch (https://bbs.archlinux.org/viewtopic.php?pid=841628#p841628), but its against v1.7.3 of the xserver-xorg-core package, but Ubuntu 10.10 uses v1.7.6 and looking at the source code the affected function is completely different. I'm not convinced its even the same bug. :(

I'll see if I can dig anything out of Xorg's GIT server that may point me in the right direction, but its a long shot.

Steffen Reinecke (sreinecke) wrote :

I also looked into the patch and xorg-server-1.9.0/Xext/panoramiXprocs.c. The affected function looks exactly
like the function of the provided patch there.

the patch:
http://lists.x.org/archives/xorg-devel/2010-October/014150.html

I fetched the xorg-server source from the repository, uninstalled the nvidia binary driver, patched the source, rebuild the package
and Xinerama is up and running again. First time i debuild something :)

Setup: Ubuntu 10.10 64bit, Nvidia binary driver 260.19.12, 3xGTS250, 5 Screens

KDE is running stable.

Steffen, can you give a bit more detail on what you did? I did an apt-source xorg-xserver, patched it with the patches provided, manually did the other patch and it builds, but it tries to run out of /usr/local/ which doesn't work, and when I told it to configure --prefix=/usr it had other issues...

Steffen Reinecke (sreinecke) wrote :

Ian, if i remember right i did:

# fetch the xserver source

apt-get source xserver-xorg

cd xorg-server-1.9.0

# changed line 637
# -> (pWin->drawable.id == screenInfo.screens[0]->screensaver.wid))
# <- (pDst->drawable.id == screenInfo.screens[0]->screensaver.wid))
vi Xext/panoramiXprocs.c

# at this point i uninstalled the nvidia driver
# (i use the one from the nvidia website)
# with nvidia driver installed i got libGL dependency errors
#
# ./NVIDIA-Linux-x86_64-260.19.12.run --uninstall
#
# I also uninstalled fglrx (maybe not necessary)

# rebuild the package
# (it reported some dependencies i had to apt-get install ... first)

debuild -us -uc -i

cd ..

# install the new xserver
dpkg -i xserver-xorg-core_1.9.0-0ubuntu7_amd64.deb

# install the nvidia driver again
./NVIDIA-Linux-x86_64-260.19.12.run

Steffen:

Thanks, that debuild command is what I was missing. I added a -j4 to the commandline to take advantage of all CPU cores.

Sadly I get the libGL dependencies errors no matter WHAT I do. No nvidia package installed (I had nvidia-current, rather than the binary from nvidia's site, and no fglrx. The only libGL is from libgl1-mesa-glx and that seems... unremovable without destroying a lot of other stuff).

I'll keep working on it!

chag (chagam) wrote :

Hi,

Here's what I exactly did an it worked :

#download xorg-core src
sudo apt-get source xserver-xorg-core

cd xorg-server-1.9.0

#apply correction to file
sudo vi Xext/panoramiXprocs.c (and replace pWin with pDst on line 637. then <esc>:x to save and quit

#install debuild
apt-get install devscripts

#install required libs as i didn't had them
apt-get install debhelper quilt bison flex xutils-dev x11proto-bigreqs-dev x11proto-composite-dev x11proto-damage-dev x11proto-xinerama-dev x11proto-randr-dev x11proto-record-dev x11proto-render-dev x11proto-resource-dev x11proto-scrnsaver-dev x11proto-video-dev x11proto-xcmisc-dev x11proto-xf86bigfont-dev x11proto-xf86dga-dev x11proto-xf86vidmode-dev x11proto-dri2-dev libxfont-dev libxkbfile-dev libpixman-1-dev libpciaccess-dev libgcrypt-dev nettle-dev libudev-dev libselinux1-dev x11proto-xf86dri-dev x11proto-gl-dev libxmuu-dev libxrender-dev libxi-dev x11proto-dmx-dev libdmx-dev libxpm-dev libxaw7-dev libxmu-dev libxtst-dev libxres-dev libxv-dev libxinerama-dev

#build the DEB packages
debuild -us -uc -i

cd ..

#install modified xorg-core
dpkg -i xserver-xorg-core_1.9.0-0ubuntu7_amd64.deb

reboot and SHAZAM !!, finally my 3 screens are back and xinerama work fine.

I use the ubuntu nvidia drivers (nvidia-current). no need to remove drivers or anything.

If someone is interrested by packages, you cand find them here : http://dl.free.fr/qMumCkrLk
those are for amd64 (I have a intel core i5).

Kudos to Ochi, wor and listdata at ArchLinux for solving this
Many thanks to Steffen Reinecke for his tutorial and all other people who helped.

Haha! I could've used your debs instead of working on this till 4:15am...

However, I did get it working. I had some weird /usr/lib/libGL.so.1.2 from GOD only knows where. Had to nuke those. Up and running now, three screens, xinerama, and I can use Window Maker again and don't have to suffer through Gnome! Yay!!!

(making sure to save the .deb/instructions for when there's an update that still doesn't fix this (; )

Thank you Chad for the packages. But sadly, this doesn't fix the bug for me
(Same result that when i try to rebuild the packages myself).

Maybe it's a other bug, as I'm impacted by this issue with only one monitor
?

On Sat, Oct 23, 2010 at 11:16 AM, Ian <email address hidden> wrote:

> Haha! I could've used your debs instead of working on this till
> 4:15am...
>
> However, I did get it working. I had some weird /usr/lib/libGL.so.1.2
> from GOD only knows where. Had to nuke those. Up and running now, three
> screens, xinerama, and I can use Window Maker again and don't have to
> suffer through Gnome! Yay!!!
>
> (making sure to save the .deb/instructions for when there's an update
> that still doesn't fix this (; )
>
> --
> Launching QT apps under Xinerama crashes Xorg : affects SpeedCrunch,
> KeePassX, Lucky Backup, Pencil, Stellarium, Skype, Google Earth, VLC,
> Konqueror, VirtualBox, Opera ...
> https://bugs.launchpad.net/bugs/650539
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in X.Org X server: Unknown
> Status in “nvidia-graphics-drivers” package in Ubuntu: Invalid
> Status in “qt4-x11” package in Ubuntu: Invalid
> Status in “xorg” package in Ubuntu: Confirmed
>
> Bug description:
> I think this may be related to QT apps, as keepassx, skype also crash X
> when started
> This is on maverick will all current updates.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: speedcrunch 0.10.1-2
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Tue Sep 28 12:29:04 2010
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: speedcrunch
> ---
> Architecture: amd64
> DistroRelease: Ubuntu 10.10
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> NonfreeKernelModules: nvidia
> Package: xorg 1:7.5+6ubuntu3
> PackageArchitecture: amd64
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Tags: maverick
> Uname: Linux 2.6.35-22-generic x86_64
> UnreportableReason: The drivers from nvidia.com are not supported by
> Ubuntu. Please uninstall them and test whether your problem still occurs.
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare video
> system:
> distro: Ubuntu
> codename: maverick
> architecture: x86_64
> kernel: 2.6.35-22-generic
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/xorg-server/+bug/650539/+subscribe
>

Thanks Chag, I followed your instructions and apart from needing to install a couple more dependencies, this has fixed the bug for me!

JMason (jonathan-mason) wrote :

The patch also appears to be working for me.

The steps I used were:
sudo apt-get source xserver-xorg-core

cd xorg-server-1.9.0

# edited Xext/panoramiXprocs.c

#install debuild
apt-get install devscripts

# installed dependencies
sudo apt-get build-dep xserver-xorg-core

# uninstall nvidia's provided binary driver (from their website)
sudo nvidia-uninstall (didn't need to kill X after this)

#build the DEB packages
debuild -us -uc -i

cd ..

#install modified xorg-core
dpkg -i xserver-xorg-core_1.9.0-0ubuntu7_amd64.deb

# reboot

# reinstall NVidia binary driver
sudo sh ./NVidia........

Brian J. Cohen (brianjcohen) wrote :

I used jMason's procedure and the problem is now resolved for me.

Andy Hawkins (a904guy) wrote :

Is there an ETA on this patch build being sent to the stable repo?

I can confirm that the patch works in i386 with mga_drv (additional patch for mga needed, see https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-mga/+bug/292214).

mst1970 (stegmueller) wrote :

the patched file:

xserver-xorg-core_1.9.0-0ubuntu7_amd64.deb

from chug is working very well and solve the problem

Nick Payne (nick-payne) wrote :

I have this problem with a dual monitor setup. Happens for me with VirtualBox and Frescobaldi as soon as the mouse goes into the app window when it is started. When I look at Xorg.0.log.old immediately after logging in on the X restart, I see the following near the end of the log:

======================================================
Backtrace:
[ 763.337] 0: /usr/bin/X (xorg_backtrace+0x28) [0x4a0fa8]
[ 763.337] 1: /usr/bin/X (0x400000+0x60fcd) [0x460fcd]
[ 763.337] 2: /lib/libpthread.so.0 (0x7f2f849ff000+0xfb40) [0x7f2f84a0eb40]
[ 763.337] 3: /usr/bin/X (0x400000+0xbb22f) [0x4bb22f]
[ 763.337] 4: /usr/bin/X (0x400000+0x2c2d9) [0x42c2d9]
[ 763.338] 5: /usr/bin/X (0x400000+0x2184b) [0x42184b]
[ 763.338] 6: /lib/libc.so.6 (__libc_start_main+0xfe) [0x7f2f8396ad8e]
[ 763.338] 7: /usr/bin/X (0x400000+0x213d9) [0x4213d9]
[ 763.338] Segmentation fault at address 0x4
[ 763.338]
Caught signal 11 (Segmentation fault). Server aborting
[ 763.338]
Please consult the The X.Org Foundation support
  at http://wiki.x.org
 for help.
======================================================

I haven't yet tried the patch shown above. That's the next step...

PhilippeSeidel (pagin) wrote :

I confirm that chag's packages are fixing the bug with my NVidia+One flatscreen and no Xinerama setup. However, the options for TwinView are still in my xorg.conf, not sure what happens if I remove them.

Thanks to everyone! Hope that the patch will hit the official repositories soon!

drewp (drewp) wrote :

Using fvwm2 and opening a fvwm desktop menu triggers the X crash bug too. Disabling xinerama is a workaround.

Ian P. Christian (pookey) wrote :

Can also confirm a fix as from JMason - No need to uninstall/reinstall nvidia though.

MikeB (mikeb-timetrex) wrote :

JMason's solution fixed the issue for me too.

On a side note, after being forced to use TwinView (two monitors instead of 3) due to this bug, I noticed that Xinerama is noticeably slower in responsiveness. Especially when switching virtual desktops, which I have 6 in total across 3 monitors. Switching between virtual desktops I can see applications redrawing, which can often take 1.0-5.0 seconds (counting in my head) depending on the application. When I was using just TwinView there was no noticeable redraw lag at all.

This is with KDE, but using all sorts of different apps, from Konsole, to Chrome, to Java applications.

Has anyone else noticed this?

> Has anyone else noticed this?

I'm using gnome, and although I didn't suffer from the 1-5s lag
claimed, using twinview (with full desktop effects) is noticeably
snappier than when I was using Xinerama.

  -- Damien

>
> --
> Launching QT apps under Xinerama crashes Xorg : affects SpeedCrunch, KeePassX, Lucky Backup, Pencil, Stellarium, Skype, Google Earth, VLC, Konqueror, VirtualBox, Opera ...
> https://bugs.launchpad.net/bugs/650539
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (650599).
>
> Status in X.Org X server: Unknown
> Status in “nvidia-graphics-drivers” package in Ubuntu: Invalid
> Status in “qt4-x11” package in Ubuntu: Invalid
> Status in “xorg” package in Ubuntu: Confirmed
>
> Bug description:
> I think this may be related to QT apps, as keepassx, skype also crash X when started
> This is on maverick will all current updates.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: speedcrunch 0.10.1-2
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Tue Sep 28 12:29:04 2010
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> ProcEnviron:
>  LANG=en_US.UTF-8
>  SHELL=/bin/bash
> SourcePackage: speedcrunch
> ---
> Architecture: amd64
> DistroRelease: Ubuntu 10.10
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> NonfreeKernelModules: nvidia
> Package: xorg 1:7.5+6ubuntu3
> PackageArchitecture: amd64
> ProcEnviron:
>  LANG=en_US.UTF-8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Tags: maverick
> Uname: Linux 2.6.35-22-generic x86_64
> UnreportableReason: The drivers from nvidia.com are not supported by Ubuntu.  Please uninstall them and test whether your problem still occurs.
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare video
> system:
>  distro:             Ubuntu
>  codename:           maverick
>  architecture:       x86_64
>  kernel:             2.6.35-22-generic
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/xorg-server/+bug/650539/+subscribe
>

Chag's fix worked perfectly for me! I had the exact same problem and setup

* nvidia card with dual monitor, with one monitor rotated
* upgraded to Ubuntu Maverick
* X started up fine, but when I tried to move any window, the whole X server would segfault

I rebuild xserver-xorg-core according to instructions in comment #91 (which I will call the "SHAZAM fix"), and everything's back to normal.

I did try for several hours to get XRandR to work, and failed with every combination. It just seems impossible to get it to rotate a single monitor, and have a unified X screen for the whole desktop (i.e. be able to drag windows between monitors). Does anyone know *why* Xinerama is deprecated, since it seems to be the only solution for several uncommon-but-useful desktop setups?

Changed in xorg (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
assignee: nobody → Chris Halse Rogers (raof)
Changed in xorg (Ubuntu Maverick):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Chris Halse Rogers (raof)
Gary M (garym) on 2010-10-28
Changed in nvidia-graphics-drivers (Ubuntu Maverick):
status: New → Invalid
Changed in qt4-x11 (Ubuntu Maverick):
status: New → Invalid

I have the same bug on my Ubuntu-10.10-64bits with 2 NVIDIAs GPU and xinerama. X crashes as soon as I open Lyx. I tried the patch and it seems to fix the bug for me. Haven't had it crashed sinced I applied the patch and it's been several days. When will the patch be available as a package update? This is a serious bug as I was unable to use any Qt app.

dazza5000 (darran-kelinske) wrote :

a patch has been commited upstream - might take a while for it to hit the repos - the patch to fix it is not in xorg-server 1.9.1 at this time - natty narwhal is currently using xorg-server 1.9.0

Eric Abrahamsen (girzel) wrote :

I just installed the maverick xserver-xorg 64-bit update, and am still getting the same problem (running two monitors, twinview works fine, xinerama causes X to bomb if I open any of emacs, skype, VLC, etc). Was that update not meant to address this?

xserver-xorg Version: 1:7.5+6ubuntu3

Eric Abrahamsen (girzel) wrote :

Sorry, xserver-xorg-core version is 2:1.9.0-ubuntu7; anyway, its the update that came down the pipes a few hours ago.

Ian J Cottee (ian-cottee) wrote :

chag's solution fixed it for me as well. Still surprised there's no fix for this officially, his fix was posted three weeks ago.

Chris Miller (chrisamiller) wrote :

Has anyone successfully built the package on i386? I'm getting some cryptic (to me) errors when I try to create a patched version. The tail end of the debuild output is attached.

I'd appreciate it if anyone could help me figure out what's going wrong (or point me to an i386 package that someone else has built successfully). Thanks.

Alejandro and everybody who's helped sorted this out: thanks! I was hit by this bug today and it'd would have taken me forever to figure out it was xinerama.

Alejandro, regarding your comment #28, my setup is actually something that I can only do with xinerama, although I only have two monitors:

if you want a second monitor in 'portrait' mode (so rotated 90 degrees) while the first is in 'landscape' mode, you're out of luck, as as far as I can tell this can only be done with xinerama.

All the best.

Chris: I built the patched packages successfully on i386.

Are you sure you installed all the build dependencies prior to starting the build?

Anyways, I have uploaded by debs to:
  http://www.notamusica.com/~jmartin/ubuntu/650539/

Jared Bunting (jared-bunting) wrote :

I've put the patched version in a PPA (maverick only) if anyone's interested.

https://launchpad.net/~jared-bunting/+archive/xorg-xserver-650539

dzs (dzsabor) wrote :

off

Actually, this bug gave me something new :-o
I have a TV connected to my GeForce 9500 GT's secondary and so far I've used a multi screen config with xinerama, where KDE turned off composite. Because of this bug I had to turn off xinerama, so I cannot drag windows between the screens anymore, but hey, I didn't do that much so far anyway, I don't miss it (almost) at all. And now, composite works :)

Does anybody know how to keep composite working after I re-enable xinerama some time when the fix gets to the repo?
(and where shall I get to the hell with my off question? :) )

/off

@dzs:

I have to use Xinerama b/c TwinView doesn't allow to rotate only one monitor. But I believe Xinerama+Composite doesn't work either. So you have to choose what you need more/will miss less!

Cheers.

Thank you very much Jared Bunting!
I 've installed how you wrote and it seems to work super with xinerama!!!

Greatings,
Christoph Thiery

Am 19.11.2010 20:37, schrieb Jared Bunting:
> I've put the patched version in a PPA (maverick only) if anyone's
> interested.
>
> https://launchpad.net/~jared-bunting/+archive/xorg-xserver-650539
>

It appears like this bug effects everyone who has Xinerama enabled and starts any QT application. From the comments it also appears there is a patch for xserver-xorg 1.9.0, but Maverick only uses 1.7.5.

So my question is: Is there any work on backporting the patch to xserver-xorg 1.7.5 so that a new build with the fix can be released to everyone with 10.10? We are looking at about 5 months away from an upgrade to 11.04, and this is a major bug for anyone using Xinerama.

Jared Bunting (jared-bunting) wrote :

William King:

From what I was able to accomplish, I think there's some confusion here.

The relevant package isn't xserver-xorg (which, after closer inspection is actually version 1:7.5) but xserver-xorg-core (and related packages, which come from source package xorg-server (confusing, I know)). Applying the patch (that's already been provided upstream, http://cgit.freedesktop.org/xorg/xserver/commit/?id=78f94f19aab66a1e5331df0ce29f36e310b4195d) to the xorg-server package, compiling, and installing the resultant packages from that that I needed (nowhere near all of them) fixed the problem for me.

As a convenience to anyone else having this problem, I've put my patched package in a PPA. Please feel free to use it, as I think it will resolve your problems.

https://launchpad.net/~jared-bunting/+archive/xorg-xserver-650539

Download full text (3.4 KiB)

Still not working for me, i try :

- rebuild and patch the packages by myself;
- jared's packages;

It still crash .. and I'm a special "case" because i don't even use
Xinerama..

My config :

Sony Vaio Z12 / NVIDIA 350 / 1600 x 900 / Maeverick up-to-date ..

Maybe the bug is somewhere else, and the first one with xinerama only
trigger it ?

Cheers,

Jérôme

On Fri, Nov 19, 2010 at 11:41 PM, Jared Bunting <<email address hidden>
> wrote:

> William King:
>
> >From what I was able to accomplish, I think there's some confusion here.
>
> The relevant package isn't xserver-xorg (which, after closer inspection
> is actually version 1:7.5) but xserver-xorg-core (and related packages,
> which come from source package xorg-server (confusing, I know)).
> Applying the patch (that's already been provided upstream,
>
> http://cgit.freedesktop.org/xorg/xserver/commit/?id=78f94f19aab66a1e5331df0ce29f36e310b4195d
> )
> to the xorg-server package, compiling, and installing the resultant
> packages from that that I needed (nowhere near all of them) fixed the
> problem for me.
>
> As a convenience to anyone else having this problem, I've put my patched
> package in a PPA. Please feel free to use it, as I think it will
> resolve your problems.
>
> https://launchpad.net/~jared-bunting/+archive/xorg-xserver-650539
>
> --
> Launching QT apps under Xinerama crashes Xorg : affects SpeedCrunch,
> KeePassX, Lucky Backup, Pencil, Stellarium, Skype, Google Earth, VLC,
> Konqueror, VirtualBox, Opera ...
> https://bugs.launchpad.net/bugs/650539
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in X.Org X server: Unknown
> Status in “nvidia-graphics-drivers” package in Ubuntu: Invalid
> Status in “qt4-x11” package in Ubuntu: Invalid
> Status in “xorg” package in Ubuntu: Triaged
> Status in “nvidia-graphics-drivers” source package in Maverick: Invalid
> Status in “qt4-x11” source package in Maverick: Invalid
> Status in “xorg” source package in Maverick: Triaged
>
> Bug description:
> I think this may be related to QT apps, as keepassx, skype also crash X
> when started
> This is on maverick will all current updates.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: speedcrunch 0.10.1-2
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Tue Sep 28 12:29:04 2010
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: speedcrunch
> ---
> Architecture: amd64
> DistroRelease: Ubuntu 10.10
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> NonfreeKernelModules: nvidia
> Package: xorg 1:7.5+6ubuntu3
> PackageArchitecture: amd64
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Tags: maverick
> Uname: Linux 2.6.35-22-generic x86_64
> UnreportableReason: The drivers from nvidia.com are not supported by
> Ubuntu. Please uninstall them and test whether your problem still occurs.
> UserGroups: adm admin cdrom dialout lpadmin...

Read more...

description: updated
description: updated
summary: - Launching QT apps under Xinerama crashes Xorg : affects SpeedCrunch,
- KeePassX, Lucky Backup, Pencil, Stellarium, Skype, Google Earth, VLC,
- Konqueror, VirtualBox, Opera ...
+ SRU: Launching a Qt app crashes X when using Xinerama
description: updated
Changed in xorg (Ubuntu):
status: Triaged → Fix Committed
Ian! D. Allen (idallen) wrote :

I followed the source-building and editing steps in #95 "JMason wrote on 2010-10-23" and I finally have an Xorg that doesn't crash.

Linux ian 2.6.35-22-generic #35-Ubuntu SMP Sat Oct 16 20:45:36 UTC 2010 x86_64 GNU/Linux

No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 10.10
Release: 10.10
Codename: maverick

Finally - this has been a problem for over a month now.

affects: xorg (Ubuntu) → xorg-server (Ubuntu)
Changed in xorg-server (Ubuntu Maverick):
assignee: Chris Halse Rogers (raof) → Alberto Milone (albertomilone)
status: Triaged → In Progress

Requesting an SRU.

I've already uploaded the package with the patch in maverick-proposed and it's waiting for approval.

The rationale for this SRU is available in the bug description.

Accepted xorg-server into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in xorg-server (Ubuntu Maverick):
status: In Progress → Fix Committed
tags: added: verification-needed
Mauro (mauroma) wrote :
Download full text (6.2 KiB)

Hi,
I've installed all maverik-proposed but I still have the problem

here is my .xsession-errors

/etc/gdm/Xsession: Beginning session setup...
export DESKTOP_SESSION='gnome'
export DISPLAY=':0'
export GDMSESSION='gnome'
export GDM_KEYBOARD_LAYOUT='it'
export GDM_LANG='it_IT.utf8'
export GNOME_KEYRING_CONTROL='/tmp/keyring-294sin'
export GNOME_KEYRING_PID='20199'
export HOME='/home/mmazza'
export JAVA_HOME='/home/mmazza/XMauro/Programs/jdk1.6.0_14'
export LANG='it_IT.utf8'
export LANGUAGE='it_IT:it:en_GB:en'
export LD_LIBRARY_PATH='/home/mmazza/XMauro/Programs/instantclient_11_1'
export LOGNAME='mmazza'
export ORACLE_HOME='/home/mmazza/XMauro/Programs/instantclient_11_1'
export PATH='/home/mmazza/XMauro/Programs/jdk1.6.0_14/bin:/home/mmazza/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games'
export PWD='/home/mmazza'
export SHELL='/bin/bash'
export SPEECHD_PORT='7560'
export USER='mmazza'
export USERNAME='mmazza'
export WINDOWPATH='8'
export XAUTHORITY='/var/run/gdm/auth-for-mmazza-CDcqjY/database'
export XDG_SESSION_COOKIE='192f319259574f9c0c31e7134a133252-1290591945.219999-1121441382'
export http_proxy='http://proxy:8080/'
MainThread 2010/11/24 10:45:45.8710 (sabayon-apply): No profile for user 'mmazza' found
Non è stato trovato alcun profilo per l'utente «mmazza»
MainThread 2010/11/24 10:45:45.8711 (sabayon-apply): Fatal exception! Exiting abnormally.
MainThread 2010/11/24 10:45:45.8713 (sabayon-apply): Traceback (most recent call last):
  File "/usr/sbin/sabayon-apply", line 149, in <module>
    sys.exit (util.EXIT_CODE_NO_USER_PROFILE)
SystemExit: 3

===== BEGIN MILESTONES (/usr/sbin/sabayon-apply) =====
MainThread 2010/11/24 10:45:45.8710 (sabayon-apply): No profile for user 'mmazza' found
MainThread 2010/11/24 10:45:45.8711 (sabayon-apply): Fatal exception! Exiting abnormally.
MainThread 2010/11/24 10:45:45.8713 (sabayon-apply): Traceback (most recent call last):
  File "/usr/sbin/sabayon-apply", line 149, in <module>
    sys.exit (util.EXIT_CODE_NO_USER_PROFILE)
SystemExit: 3

===== END MILESTONES (/usr/sbin/sabayon-apply) =====
===== BEGIN RING BUFFER (/usr/sbin/sabayon-apply) =====
MainThread 2010/11/24 10:45:45.8710 (sabayon-apply): No profile for user 'mmazza' found
MainThread 2010/11/24 10:45:45.8711 (sabayon-apply): Fatal exception! Exiting abnormally.
MainThread 2010/11/24 10:45:45.8713 (sabayon-apply): Traceback (most recent call last):
  File "/usr/sbin/sabayon-apply", line 149, in <module>
    sys.exit (util.EXIT_CODE_NO_USER_PROFILE)
SystemExit: 3

===== END RING BUFFER (/usr/sbin/sabayon-apply) =====

This configuration for the debug log can be re-created
by putting the following in ~//etc/sabayon/sabayon-debug-log.conf
(use ';' to separate domain names):

[debug log]
max lines = 1000
Setting IM through im-switch for locale=it_IT.
Start IM through /etc/X11/xinit/xinput.d/all_ALL linked to /etc/X11/xinit/xinput.d/default.
GNOME_KEYRING_CONTROL=/tmp/keyring-294sin
SSH_AUTH_SOCK=/tmp/keyring-294sin/ssh
GNOME_KEYRING_CONTROL=/tmp/keyring-294sin
SSH_AUTH_SOCK=/tmp/keyring-294sin/ssh
GNOME_KEYRING_CONTROL=/tmp/keyring-294sin
SSH_AUTH_SOCK=/tmp/keyring-294sin/ssh
** (<unknown>:20301): DEBUG: Client r...

Read more...

Eric Hough (k2eric) wrote :

The xorg-server package from maverick-proposed works!

ii xorg 1:7.5+6+xserver1.9
ii xserver-xorg 1:7.5+6+xserver1.9
ii xserver-xorg-core 2:1.9.2.901+git20101115+server-1.9-branch.201273a2-0ubuntu0sarvatt2~maverick

Kenny (asmig+dalahucpn) wrote :

Installing xserver-xorg-core and xserver-common from maverick-proposed resolved this issue for me.

x86_64
Four monitors, two rotated, Xinerama.

xorg 1:7.5+6ubuntu3
xserver-common 2:1.9.0-0ubuntu7.1
xserver-xorg 1:7.5+6ubuntu3
xserver-xorg-core 2:1.9.0-0ubuntu7.1

Thanks!

Jared Bunting (jared-bunting) wrote :

maverick-proposed works for me.

@Mauro
Please post the output of the following command
apt-cache policy xserver-xorg-core

Mauro (mauroma) wrote :

sure, here is the output

mmazza@mmazza:~$ apt-cache policy xserver-xorg-core
xserver-xorg-core:
  Installato: 2:1.9.0-0ubuntu7.1
  Candidato: 2:1.9.0-0ubuntu7.1
  Tabella versione:
 *** 2:1.9.0-0ubuntu7.1 0
        500 http://ubuntu.fastbull.org/ubuntu/ maverick-proposed/main i386 Packages
        100 /var/lib/dpkg/status
     2:1.9.0-0ubuntu7 0
        500 http://ubuntu.fastbull.org/ubuntu/ maverick/main i386 Packages
N: Ignoring file 'apt-build' in directory '/etc/apt/sources.list.d/' as it has no filename extension

Mauro (mauroma) wrote :

I noticed I've got the problem both using xinerama or twinview,
the problem comes after I upgraded from 10.04 to 10.10
thanks in advance
mauro

Martin Pitt (pitti) on 2010-11-25
tags: added: verification-done
removed: verification-needed
Download full text (4.4 KiB)

as Mauro, I still have the problem :

- Sony Vaio z series;
- Ubuntu 10.10 64bits
- Nvidia Geforce GT 330
- last NVIDIA driver

I only use one screen, and if I use the intel card (my laptop have two, but
only one at once is activated), I don't have the issue...

On Thu, Nov 25, 2010 at 11:13 PM, Martin Pitt <email address hidden>wrote:

> ** Tags added: verification-done
> ** Tags removed: verification-needed
>
> --
> SRU: Launching a Qt app crashes X when using Xinerama
> https://bugs.launchpad.net/bugs/650539
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in X.Org X server: Unknown
> Status in “nvidia-graphics-drivers” package in Ubuntu: Invalid
> Status in “qt4-x11” package in Ubuntu: Invalid
> Status in “xorg-server” package in Ubuntu: Fix Committed
> Status in “nvidia-graphics-drivers” source package in Maverick: Invalid
> Status in “qt4-x11” source package in Maverick: Invalid
> Status in “xorg-server” source package in Maverick: Fix Committed
>
> Bug description:
> Justification:
> =============
> Regression from Ubuntu 10.04, causing an Xserver crash when starting a Qt
> application in an multi-head X configuration using Xinerama. The X crash
> risks losing user data from unsaved documents in applications.
>
> Fix:
> ===
> This is caused by a typo in commit 80b5d3a3. A fix has been pulled to the
> server-1.9 stable branch in commit 3effb61e (
> http://cgit.freedesktop.org/xorg/xserver/commit/?id=78f94f19aab66a1e5331df0ce29f36e310b4195d). This commit has been cherry-picked onto the Natty xserver tree.
>
> Test case:
> ========
> Start a Qt app such as Skype while using Xinerama multi-head. Users of the
> binary nVidia driver who have multiple monitors and select “Separate X
> screen” rather than “Twinview” in nvidia-settings will be using a Xinerama
> multi-head configuration.
>
> Regression Potential:
> ==================
> Low. Patch is a one-line typo fix, and anything which exercises this
> codepath currently crashes.
>
>
> Original report:
>
> PROBLEM
> =======
> Starting a Qt app such as Skype crashes X, leaving
> "Caught signal 11 (Segmentation fault). Server aborting"
> in Xorg.0.log.old and the dazzled user with the login screen.
> This is a bug in X, fixed upstream in
> http://cgit.freedesktop.org/xorg/xserver/commit/?id=78f94f19aab66a1e5331df0ce29f36e310b4195d.
>
> WORKAROUND
> ==========
> Until the fix is released as an official Ubuntu update, Jared Bunting has
> it in his PPA at
> https://launchpad.net/~jared-bunting/+archive/xorg-xserver-650539 (thx!).
> You need xserver-xorg-core and xserver-common, so for 32 bit
> 1) Download
>
> https://launchpad.net/~jared-bunting/+archive/xorg-xserver-650539/+files/xserver-xorg-core_1.9.0-0ubuntu7%2Bbug650539%2B1_i386.deband
>
> https://launchpad.net/~jared-bunting/+archive/xorg-xserver-650539/+files/xserver-common_1.9.0-0ubuntu7%2Bbug650539%2B1_all.deb
> 2) Install
> sudo dpkg -i xserver-xorg-core_1.9.0-0ubuntu7+bug650539+1_i386.deb
> xserver-common_1.9.0-0ubuntu7+bug650539+1_all.deb
>
> ORIGINAL DESCRIPTION
> ====================
> I think this may be related to QT apps, as keepassx, skype also crash X
> when started
> This...

Read more...

Chris Halse Rogers (raof) wrote :

Exactly what problem are you seeing?

If you've got problems in a single monitor setup then you'll be
triggering a different bug. Please feel free to file a new bug so we
can start to figure out the cause of your problem.

Bryce Harrington (bryce) wrote :

Regression found to be associated with this change: https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/680811

Installing xserver-xorg-core and xserver-common from maverick-proposed resolved this issue for me.

I have an ati mobility card with an external monitor that I'm using Xinerama with. I'm using the fglrx driver.

Robert Fleming (fleming) wrote :

> Exactly what problem are you seeing?
>
> If you've got problems in a single monitor setup then you'll be
> triggering a different bug. Please feel free to file a new bug so we
> can start to figure out the cause of your problem.

I'm seeing the same problem as Jérôme and Mauro. I have exactly one NVIDIA display adapter, using the proprietary driver (version 173 and "current" both exhibit the problem), and the adapter is attached to exactly one monitor. Emacs, rxvt, VLC, and xawtv crash the server. Here is the Xorg output:

  Backtrace:
  0: X (xorg_backtrace+0x3b) [0x80e82fb]
  1: X (0x8048000+0x5da8d) [0x80a5a8d]
  2: (vdso) (__kernel_rt_sigreturn+0x0) [0x13e40c]
  3: X (ProcessWorkQueue+0x30) [0x8073a60]
  4: X (WaitForSomething+0x56) [0x809fc06]
  5: X (0x8048000+0x25d3e) [0x806dd3e]
  6: X (0x8048000+0x1a5ba) [0x80625ba]
  7: /lib/libc.so.6 (__libc_start_main+0xe7) [0xd3ace7]
  8: X (0x8048000+0x1a191) [0x8062191]
  Segmentation fault at address (nil)

  Caught signal 11 (Segmentation fault). Server aborting

I ran through half of the demos in the "qtdemo" package and none crashed the server. (I don't have all the KDE infrastructure installed, so I didn't test that.) The server does *not* crash when using the free-software NVIDIA driver.

I have not been able to disable the Xinerama extension either by putting 'Option "Xinerama" "0"' in the "ServerLayout" sections, or by using the "-xinerama" command-line argument to /usr/bin/Xorg. I've read that the NVIDIA driver forces it on or something.

So our bug is probably not this one, would you agree? I couldn't find a report for our bug.

Robert Fleming (fleming) wrote :

Sorry for the spam, I've filed bug 683016 to cover my last comment.

William Cobb (cobbwe) on 2010-12-02
Changed in xorg-server (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2010-12-03
tags: added: verification-failed
removed: verification-done
mustangtyson (tysonsmith) wrote :

I enabled "proposed" updated, rebooted and it solved the problem. Thanks!
http://ubuntuforums.org/showthread.php?p=10268993#post10268993

MBeale (malcolm-beale-yahoo) wrote :
Download full text (4.6 KiB)

Yes, works for me on triple monitor Nvidia SLI setup, thanks, hope it becomes official.
For those left wondering just run Synaptic Package Manager -> Settings -> Repositories.In the Software Sources dialog box select the Updates tab.Check the Pre-released updates (maverick-proposed) box.Run update-manager, restart and your'e done.
--- On Thu, 23/12/10, mustangtyson <email address hidden> wrote:

From: mustangtyson <email address hidden>
Subject: [Bug 650539] Re: SRU: Launching a Qt app crashes X when using Xinerama
To: <email address hidden>
Received: Thursday, 23 December, 2010, 6:09 AM

I enabled "proposed" updated, rebooted and it solved the problem. Thanks!
http://ubuntuforums.org/showthread.php?p=10268993#post10268993

--
You received this bug notification because you are a direct subscriber
of a duplicate bug (659538).
https://bugs.launchpad.net/bugs/650539

Title:
  SRU: Launching a Qt app crashes X when using Xinerama

Status in X.Org X server:
  Unknown
Status in “nvidia-graphics-drivers” package in Ubuntu:
  Invalid
Status in “qt4-x11” package in Ubuntu:
  Invalid
Status in “xorg-server” package in Ubuntu:
  Fix Released
Status in “nvidia-graphics-drivers” source package in Maverick:
  Invalid
Status in “qt4-x11” source package in Maverick:
  Invalid
Status in “xorg-server” source package in Maverick:
  Fix Committed

Bug description:
  Justification:
=============
Regression from Ubuntu 10.04, causing an Xserver crash when starting a Qt application in an multi-head X configuration using Xinerama.  The X crash risks losing user data from unsaved documents in applications.

Fix:
===
This is caused by a typo in commit 80b5d3a3.  A fix has been pulled to the server-1.9 stable branch in commit 3effb61e (http://cgit.freedesktop.org/xorg/xserver/commit/?id=78f94f19aab66a1e5331df0ce29f36e310b4195d ).  This commit has been cherry-picked onto the Natty xserver tree.

Test case:
========
Start a Qt app such as Skype while using Xinerama multi-head.  Users of the binary nVidia driver who have multiple monitors and select “Separate X screen” rather than “Twinview” in nvidia-settings will be using a Xinerama multi-head configuration.

Regression Potential:
==================
Low.  Patch is a one-line typo fix, and anything which exercises this codepath currently crashes.

Original report:

PROBLEM
=======
Starting a Qt app such as Skype crashes X, leaving
"Caught signal 11 (Segmentation fault). Server aborting"
in Xorg.0.log.old and the dazzled user with the login screen.
This is a bug in X, fixed upstream in http://cgit.freedesktop.org/xorg/xserver/commit/?id=78f94f19aab66a1e5331df0ce29f36e310b4195d .

WORKAROUND
==========
Until the fix is released as an official Ubuntu update, Jared Bunting has it in his PPA at https://launchpad.net/~jared-bunting/+archive/xorg-xserver-650539 (thx!).
You need xserver-xorg-core and xserver-common, so for 32 bit
1) Download
https://launchpad.net/~jared-bunting/+archive/xorg-xserver-650539/+files/xserver-xorg-core_1.9.0-0ubuntu7%2Bbug650539%2B1_i386.deb and
https://launchpad.net/~jared-bunting/+archive/xorg-xserver-650539/+files/xserver-common_1.9.0-0ubuntu7%2Bbug650539%2B1_all.deb
2) Install
sudo d...

Read more...

Martin Pitt (pitti) wrote :

As discussed with Bryce, the reported regression is still very dubious and the benefit of this patch is very high, so we'll get it into -updates now.

tags: added: verification-done
removed: verification-failed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.9.0-0ubuntu7.1

---------------
xorg-server (2:1.9.0-0ubuntu7.1) maverick-proposed; urgency=low

  * debian/patches/207_Xext_panoramiXprocs_fix_typo.patch:
    - This prevents Qt applications from crashing when using
      Xinerama multi-head with drivers such as nvidia (LP: #650539).
 -- Alberto Milone <email address hidden> Mon, 22 Nov 2010 18:55:50 +0100

Changed in xorg-server (Ubuntu Maverick):
status: Fix Committed → Fix Released

Not fixed for me. This is with 2:1.9.0-0ubuntu7.1, but also not fixed with 7.3.

Changed in xorg-server:
status: Unknown → Fix Released
Changed in xorg-server:
importance: Unknown → High
Scott Money (scott-money) wrote :

I am still seeing this issue in 2:1.9.0-oubuntu7.3 using the NVIDIA driver version NVIDIA-Linux-x86-260.19.12 or NVIDIA-Linux-x86-260.19.29

> I am still seeing this issue in 2:1.9.0-oubuntu7.3 using the NVIDIA
> driver version NVIDIA-Linux-x86-260.19.12 or NVIDIA-Linux-x86-260.19.29

No wonder. I verified the issue exists still by doing this:
$ apt-get source xserver-common
$ zgrep -A2 -B2 650539 xorg-xserver_1.9.0-0ubuntu7.3.diff.gz
+ * debian/patches/207_Xext_panoramiXprocs_fix_typo.patch:
+ - This prevents Qt applications from crashing when using
+ Xinerama multi-head with drivers such as nvidia (LP: #650539).
+
+ -- Alberto Milone <email address hidden> Mon, 22 Nov 2010 18:55:50 +0100

So it is reported to be fixed in the change log.

$ grep -A4 "pDst == screenInfo" xorg-xserver-1.9.0/Xext/panoramiXprocs.c
    if((pDst == screenInfo.screens[0]->root) ||
       (pWin->drawable.id == screenInfo.screens[0]->screensaver.wid))
    {
        rep.dstX += screenInfo.screens[0]->x;
        rep.dstY += screenInfo.screens[0]->y;

So if compared to the original patch (https://launchpad.net/~jared-bunting/+archive/xorg-xserver-650539), it is not fixed, only falsely reported to be fixed.

I'd really liked to see this fix included soon and before next Ubuntu is released. Althought I'm sure the history still continues to repeat itself and this will not get fixed before Ubuntu 11.04. Then the Ubuntu 11.04 version will break the multimonitor setup of Xorg (or something related) again and the fixing takes again more than releasing even next Ubuntu 11.10 and so on. That's the neverending cycle that have been past i-cannot-even-remember-how-many Ubuntus. I guess it's just so rare to use multimonitor setup that they don't test it before release.

Fjodor (sune-molgaard) wrote :

Neither fixed in 7.3 nor in packages from xorg-edgers for me. Could some of us be seeing a different problem with the same symptoms?

Perry Hung (iperry) wrote :

I've tried Jared's PPA, the packages from maverick proposed, 1.9.0ubuntu7.3, as well as rebuilding it from source and making sure the patch was in there, and none of them fixed the issue for me.

nvidia GTX 260. I've tried nvidia-current, as well as proprietary drivers 260.19.21

The fix didn't make it into 7.3, as Harry Flink discovered by source inspection, and many others through using the package. Could this bug be re-opened, please?

It's been almost three weeks since my post. Any chance this issue could get fixed soon?

After all the patch exists already so there's not much to do but to apply and release it. This is easily solved but very important to us because Xorg seem to update every now and then and when updated everyone has to patch the new version.

Since it's not possible to reopen a bug in "Fix Released" state, I created a new bug. https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/738526

Chris Halse Rogers (raof) wrote :

The patch *is* applied to the 1.9.0-0ubuntu7.3 package, as you can see in the .diff.gz on launchpad. I suspect that Harry's grep was done from an unpacked source tree before running “quilt push -a” (or ‘debian/rules patch’).

If you're still seeing crashes, you're seeing a *different* crash.

If you're still seeing crashes, try uninstalling xfs.

sudo apt-get remove xfs

Alkalyzer (alkalyzer) wrote :

It seems that this bug just recently occurred to me after a kernel update.
I am running Natty (64 bits) with the nvidia drivers from the repositories (280.13). Everything worked fine until the yesterday update to kernel 2.6.38-11, then all QT applications produced a segmentation fault and sent me back to gdm.
Removing "xfs" solved this issue.

borillionstar (babakrezai) wrote :

Im not running Xinerama as far as I know.
Backtrace:
[ 17148.125] 0: /usr/bin/X (xorg_backtrace+0x26) [0x460566]
[ 17148.125] 1: /usr/bin/X (0x400000+0x64b7a) [0x464b7a]
[ 17148.125] 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f57571d5000+0x10060) [0x7f57571e5060]
[ 17148.126] 3: /usr/bin/X (doListFontsWithInfo+0x16a) [0x43061a]
[ 17148.126] 4: /usr/bin/X (ProcessWorkQueue+0x21) [0x433d51]
[ 17148.126] 5: /usr/bin/X (WaitForSomething+0x65) [0x45dec5]
[ 17148.126] 6: /usr/bin/X (0x400000+0x2f912) [0x42f912]
[ 17148.126] 7: /usr/bin/X (0x400000+0x232fe) [0x4232fe]
[ 17148.126] 8: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7f575611130d]
[ 17148.126] 9: /usr/bin/X (0x400000+0x235ed) [0x4235ed]
[ 17148.126] Segmentation fault at address 0xf79a7f60
[ 17148.126]
Caught signal 11 (Segmentation fault). Server aborting
[ 17148.126]
Please consult the The X.Org Foundation support
  at http://wiki.x.org
 for help.

wayward4now (wayward4now) wrote :

bump?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.